function results=run_TGPR_C(seq, res_path, bSaveImage)

close all;

x=seq.init_rect(1)-1;%matlab to c
y=seq.init_rect(2)-1;
w=seq.init_rect(3);
h=seq.init_rect(4);

%featureName kernelName param svmC svmBudgetSize searchRadius seed
%featureName: raw haar histogram
%kernelName: linear gaussian intersection chi2
%seed: default - 0


% %the kernel of blocksimilarity can only be specified by using covariance
% or hog features; while the other kernels can be specified by using any feature;
% This setting should be consistent with the setting in the config.txt
% file.
% feature = covariance blocksimilarity
% feature = hog blocksimilarity
% feature = covariance gaussian 0.2
% feature = haar gaussian 0.2
% feature = raw gaussian 0.1
% feature = histogram intersection


tic
command = ['TGPR_CVPR2013Benchmark.exe 4 300 30 6 12.0 12.0 0.00 covariance blocksimilarity 0 0 ' seq.name ' ' res_path ' ' seq.path ' ' num2str(seq.startFrame) ' ' num2str(seq.endFrame) ' '  num2str(seq.nz) ' ' seq.ext ' ' num2str(x) ' ' num2str(y) ' ' num2str(w) ' ' num2str(h)];
dos(command);
duration=toc;

results.res = dlmread(['./TGPRresults_txt/' seq.name '_TGPR.txt']);
results.res(:,1:2) =results.res(:,1:2) + 1;%c to matlab

results.type='rect';
results.fps=seq.len/duration;

%results.fps = dlmread([seq.name '_ST_FPS.txt']);